"""Configuration file for Sphinx."""
import os
import sys

for path in ('../../src/ska_low_cbf_tango_cnic', '../../src'):
    sys.path.insert(0, os.path.abspath( path ))

project = "ska-python-boilerplate"
copyright = "2025, SKAO"
author = "Andrew Bolin <andrew.bolin@csiro.au>"
release = "0.5.3"
version = "0.5.3"

extensions = [
    "sphinx.ext.autodoc",
    "sphinx.ext.intersphinx",
    "sphinx_autodoc_typehints",
    "sphinx_rtd_theme",
]

templates_path = ["_templates"]
exclude_patterns = []

html_css_files = [
    "css/custom.css",
]

html_theme = "sphinx_rtd_theme"
html_static_path = ["_static"]
html_logo = "_static/img/logo.png"
html_favicon = "_static/img/favicon_mono.ico"

html_theme_options = {"logo_only": True}
html_last_updated_fmt = "%d-%b-%Y, %X"

autodoc_mock_imports = ["numpy", "ska_low_cbf_fpga", "ska_low_cbf_sw_cnic", "tango"]
# the next directive will strip module name from entries generated by autodecorator
add_module_names = False

intersphinx_mapping = {
    "python": ("https://docs.python.org/3.10", None),
    "pytango": ("https://pytango.readthedocs.io/en/stable/", None),
    "ska-low-cbf-fpga": (
        "https://developer.skao.int/projects/ska-low-cbf-fpga/en/latest",
        None,
    ),
    "ska-low-cbf-sw-cnic": (
        "https://developer.skao.int/projects/ska-low-cbf-sw-cnic/en/latest",
        None,
    ),
}
